%global gem_name yajl-ruby

Name: rubygem-%{gem_name}
Version: 1.1.0
Release: 2.2%{?dist}
Summary: Ruby C bindings to the excellent Yajl JSON stream-based parser library
Group: Development/Languages
License: MIT
URL: http://github.com/brianmario/yajl-ruby
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
%if 0%{fedora} < 21
Requires: ruby(release)
Requires: ruby(rubygems) 
%endif
BuildRequires: ruby(release)
BuildRequires: rubygems-devel 
BuildRequires: ruby-devel >= 1.8.6
%if 0%{fedora} < 21
Provides: rubygem(%{gem_name}) = %{version}
%endif

%description
This gem is a C binding to the excellent YAJL JSON parsing and generation library.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%if 0%{fedora} < 21
mkdir -p %{buildroot}%{gem_extdir_mri}/lib/yajl
mv %{buildroot}%{gem_instdir}/lib/yajl/yajl.so %{buildroot}%{gem_extdir_mri}/lib/yajl/
%else
mkdir -p %{buildroot}%{gem_extdir_mri}/yajl
cp -a .%{gem_extdir_mri}/gem.build_complete %{buildroot}%{gem_extdir_mri}/
cp -a .%{gem_extdir_mri}/yajl/*.so %{buildroot}%{gem_extdir_mri}/yajl/
%endif

rm -rf %{buildroot}%{gem_instdir}/.gitignore
rm -rf %{buildroot}%{gem_instdir}/.rspec
rm -rf %{buildroot}%{gem_instdir}/.travis.yml



%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%exclude %{gem_instdir}/ext
%{gem_extdir_mri}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/spec
%{gem_instdir}/benchmark
%{gem_instdir}/examples
%{gem_instdir}/tasks
%{gem_instdir}/%{gem_name}.gemspec

%changelog
* Sat Dec 28 2013 Oleg Girko <ol@infoserver.lv> - 1.1.0
- Rebuilt for https://fedoraproject.org/wiki/Changes/Ruby_2.1
* Mon Sep 23 2013 Oleg Girko <ol@infoserver.lv> - 1.1.0
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0
* Fri Jun  7 2013 Oleg Girko <ol@infoserver.lv> - 1.1.0-1
- Initial package
